org.springframework.jdbc.core

## Class ResultSetSupportingSqlParameter

- java.lang.Object
- - org.springframework.jdbc.core.SqlParameter
  - - org.springframework.jdbc.core.ResultSetSupportingSqlParameter

- Direct Known Subclasses:
    SqlOutParameter, SqlReturnResultSet

      public class ResultSetSupportingSqlParameter
      extends SqlParameter

  Common base class for ResultSet-supporting SqlParameters like `SqlOutParameter` and `SqlReturnResultSet`.
  Since:
    1.0.2
  Author:
    Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSetSupportingSqlParameter(String name, int sqlType)` Create a new ResultSetSupportingSqlParameter.
    `ResultSetSupportingSqlParameter(String name, int sqlType, int scale)` Create a new ResultSetSupportingSqlParameter.
    `ResultSetSupportingSqlParameter(String name, int sqlType, ResultSetExtractor<?> rse)` Create a new ResultSetSupportingSqlParameter.
    `ResultSetSupportingSqlParameter(String name, int sqlType, RowCallbackHandler rch)` Create a new ResultSetSupportingSqlParameter.
    `ResultSetSupportingSqlParameter(String name, int sqlType, RowMapper<?> rm)` Create a new ResultSetSupportingSqlParameter.
    `ResultSetSupportingSqlParameter(String name, int sqlType, String typeName)` Create a new ResultSetSupportingSqlParameter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSetExtractor<?>` | `getResultSetExtractor()` Return the ResultSetExtractor held by this parameter, if any.
    `RowCallbackHandler` | `getRowCallbackHandler()` Return the RowCallbackHandler held by this parameter, if any.
    `RowMapper<?>` | `getRowMapper()` Return the RowMapper held by this parameter, if any.
    `boolean` | `isInputValueProvided()` This implementation always returns `false`.
    `boolean` | `isResultSetSupported()` Does this parameter support a ResultSet, i.e.

    - ### Methods inherited from class org.springframework.jdbc.core.SqlParameter

      `getName, getScale, getSqlType, getTypeName, isResultsParameter, sqlTypesToAnonymousParameterList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultSetSupportingSqlParameter

          public ResultSetSupportingSqlParameter(String name,
                                                 int sqlType)

      Create a new ResultSetSupportingSqlParameter.
      Parameters:
        `name` - name of the parameter, as used in input and output maps
        `sqlType` - SQL type of the parameter according to java.sql.Types

    - #### ResultSetSupportingSqlParameter

          public ResultSetSupportingSqlParameter(String name,
                                                 int sqlType,
                                                 int scale)

      Create a new ResultSetSupportingSqlParameter.
      Parameters:
        `name` - name of the parameter, as used in input and output maps
        `sqlType` - SQL type of the parameter according to java.sql.Types
        `scale` - the number of digits after the decimal point (for DECIMAL and NUMERIC types)

    - #### ResultSetSupportingSqlParameter

          public ResultSetSupportingSqlParameter(String name,
                                                 int sqlType,
                                                 String typeName)

      Create a new ResultSetSupportingSqlParameter.
      Parameters:
        `name` - name of the parameter, as used in input and output maps
        `sqlType` - SQL type of the parameter according to java.sql.Types
        `typeName` - the type name of the parameter (optional)

    - #### ResultSetSupportingSqlParameter

          public ResultSetSupportingSqlParameter(String name,
                                                 int sqlType,
                                                 ResultSetExtractor<?> rse)

      Create a new ResultSetSupportingSqlParameter.
      Parameters:
        `name` - name of the parameter, as used in input and output maps
        `sqlType` - SQL type of the parameter according to java.sql.Types
        `rse` - ResultSetExtractor to use for parsing the ResultSet

    - #### ResultSetSupportingSqlParameter

          public ResultSetSupportingSqlParameter(String name,
                                                 int sqlType,
                                                 RowCallbackHandler rch)

      Create a new ResultSetSupportingSqlParameter.
      Parameters:
        `name` - name of the parameter, as used in input and output maps
        `sqlType` - SQL type of the parameter according to java.sql.Types
        `rch` - RowCallbackHandler to use for parsing the ResultSet

    - #### ResultSetSupportingSqlParameter

          public ResultSetSupportingSqlParameter(String name,
                                                 int sqlType,
                                                 RowMapper<?> rm)

      Create a new ResultSetSupportingSqlParameter.
      Parameters:
        `name` - name of the parameter, as used in input and output maps
        `sqlType` - SQL type of the parameter according to java.sql.Types
        `rm` - RowMapper to use for parsing the ResultSet

  - ### Method Detail

    - #### isResultSetSupported

          public boolean isResultSetSupported()

      Does this parameter support a ResultSet, i.e. does it hold a ResultSetExtractor, RowCallbackHandler or RowMapper?

    - #### getResultSetExtractor

          public ResultSetExtractor<?> getResultSetExtractor()

      Return the ResultSetExtractor held by this parameter, if any.

    - #### getRowCallbackHandler

          public RowCallbackHandler getRowCallbackHandler()

      Return the RowCallbackHandler held by this parameter, if any.

    - #### getRowMapper

          public RowMapper<?> getRowMapper()

      Return the RowMapper held by this parameter, if any.

    - #### isInputValueProvided

          public boolean isInputValueProvided()

      This implementation always returns `false`.

      Overrides:
        `isInputValueProvided` in class `SqlParameter`